## Function template make_exception_handler

boost::log::make_exception_handler

## Synopsis

    // In header: <boost/log/utility/exception_handler.hpp>

    template<typename... ExceptionsT, typename HandlerT>
      exception_handler< MPL_sequence_of_ExceptionsT, HandlerT >
      make_exception_handler(HandlerT const & handler);

## Description

The function creates an exception handler functional object. The handler will call to the user-specified functional object with an exception as its argument. All expected exception types should be specified as first template parameters explicitly, in the order they would be specified in a corresponding `try/catch` statement.

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

Parameters:

`handler` | User-defined functional object that will receive exceptions.

Returns: | A nullary functional object that should be called from within a `catch` statement.